# Alt Üye Güncelleme

Pazaryeri çözümünde alt üyelerinizin bilgilerini güncellemek için aşağıdaki servisleri kullanabilirsiniz.

{% hint style="info" %}
Alt üye işyerlerini güncelleme sürecinde alt üye işyeri türünü **değiştirilememektedir**. Belirli bir türde bir alt satıcı oluşturulduktan sonra farklı bir türe değiştirilemez. Bu nedenle, ilk kurulum sırasında doğru bayi tipinin seçildiğinden emin olmak çok önemlidir.
{% endhint %}

Submerchant türlerinin tümü güncelleme işlemlerini gerçekleştirebilir;&#x20;

* Bireysel
* Şahıs Şirketi
* Limited / Anonim Şirketi

## Alt Üye Güncelleme

> Mevcut alt üye işyerinin bilgilerinin güncellenmesi. Gövde şeması alt üye tipine göre değişir; \*\*üç varyanttan biri\*\* gönderilmelidir. Güncelleme gövdesinde \*\*subMerchantType alanı bulunmaz\*\*.<br>

```json
{"openapi":"3.0.3","info":{"title":"Marketplace - Alt Üye Oluşturma & Güncelleme","version":"1.3.3"},"servers":[{"url":"https://api.iyzipay.com","description":"iyzico API"}],"paths":{"/onboarding/submerchant":{"put":{"summary":"Alt Üye Güncelleme","description":"Mevcut alt üye işyerinin bilgilerinin güncellenmesi. Gövde şeması alt üye tipine göre değişir; **üç varyanttan biri** gönderilmelidir. Güncelleme gövdesinde **subMerchantType alanı bulunmaz**.\n","tags":["Pazaryeri"],"parameters":[{"$ref":"#/components/parameters/AuthHeader"},{"$ref":"#/components/parameters/ContentTypeHeader"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmerchantUpdateRequest"}}}},"responses":{"200":{"description":"Başarılı yanıt","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmerchantUpdateResponse"}}}},"400":{"description":"Başarısız yanıt","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"AuthHeader":{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"İmza içeren Authorization değeri."},"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string"},"description":"İstek gövdesi formatı."}},"schemas":{"SubmerchantUpdateRequest":{"oneOf":[{"$ref":"#/components/schemas/SubmerchantPersonalUpdateRequest"},{"$ref":"#/components/schemas/SubmerchantPrivateCompanyUpdateRequest"},{"$ref":"#/components/schemas/SubmerchantLimitedJointUpdateRequest"}],"description":"Seçilen alt üye tipine göre güncelleme alanları. **subMerchantType alanı gönderilmez.**"},"SubmerchantPersonalUpdateRequest":{"description":"Bireysel Alt Üye Güncelleme","type":"object","required":["email","gsmNumber","address","iban","contactName","contactSurname","identityNumber","subMerchantKey"],"properties":{"name":{"type":"string","description":"Alt üye işyeri adı."},"email":{"type":"string"},"gsmNumber":{"type":"string"},"address":{"type":"string"},"iban":{"type":"string"},"contactName":{"type":"string"},"contactSurname":{"type":"string"},"currency":{"type":"string","enum":["TRY","USD","EUR","GBP","RUB","CHF","NOK"]},"identityNumber":{"type":"string","description":"TCKN Bilgisi"},"subMerchantKey":{"type":"string"},"locale":{"type":"string","enum":["tr","en"]},"conversationId":{"type":"string"}}},"SubmerchantPrivateCompanyUpdateRequest":{"description":"Şahıs Şirketi Alt Üye Güncelleme","type":"object","required":["email","gsmNumber","address","iban","legalCompanyTitle","taxOffice","identityNumber","subMerchantKey"],"properties":{"name":{"type":"string"},"email":{"type":"string"},"gsmNumber":{"type":"string"},"address":{"type":"string"},"iban":{"type":"string"},"taxOffice":{"type":"string"},"taxNumber":{"type":"string","description":"Vergi numarası."},"legalCompanyTitle":{"type":"string"},"currency":{"type":"string","enum":["TRY","USD","EUR","GBP","RUB","CHF","NOK"]},"subMerchantKey":{"type":"string"},"identityNumber":{"type":"string","description":"TCKN Bilgisi"},"locale":{"type":"string","enum":["tr","en"]},"conversationId":{"type":"string"}}},"SubmerchantLimitedJointUpdateRequest":{"description":"Limited/Anonim Şirket Alt Üye Güncelleme","type":"object","required":["email","gsmNumber","address","iban","legalCompanyTitle","taxOffice","identityNumber","subMerchantKey"],"properties":{"name":{"type":"string"},"email":{"type":"string"},"gsmNumber":{"type":"string"},"address":{"type":"string"},"iban":{"type":"string"},"taxOffice":{"type":"string"},"legalCompanyTitle":{"type":"string"},"taxNumber":{"type":"string","description":"Vergi numarası."},"currency":{"type":"string","enum":["TRY","USD","EUR","GBP","RUB","CHF","NOK"]},"subMerchantKey":{"type":"string"},"identityNumber":{"type":"string","description":"TCKN Bilgisi"},"locale":{"type":"string","enum":["tr","en"]},"conversationId":{"type":"string"}}},"SubmerchantUpdateResponse":{"type":"object","properties":{"status":{"type":"string","enum":["success","failure"],"description":"İşlem sonucu."},"locale":{"type":"string","enum":["tr","en"],"description":"Yanıt dili."},"systemTime":{"type":"integer","description":"İşlem zamanı (epoch ms)."},"conversationId":{"type":"string","description":"İstek sırasında gönderilen ID."}}},"ErrorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["failure"]},"errorCode":{"type":"string"},"errorMessage":{"type":"string"},"locale":{"type":"string","enum":["tr","en"]},"systemTime":{"type":"integer"},"conversationId":{"type":"string"}}}}}}
```

#### Örnek Kodlar

<table data-view="cards"><thead><tr><th></th></tr></thead><tbody><tr><td><a href="https://github.com/iyzico/iyzipay-php/blob/master/samples/update_sub_merchant.php">PHP</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-java/blob/master/src/test/java/com/iyzipay/sample/SubMerchantSample.java#L111">Java</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-dotnet/blob/master/Iyzipay.Samples/SubMerchantSample.cs#L98">.NET</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-node/blob/master/samples/IyzipaySamples.js#L1250">Node.Js</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-python/tree/master/samples">Python</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/urunler/pazaryeri/pazaryeri-entegrasyonu/alt-uye-olusturma/alt-uye-guncelleme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
